diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 432cdd7e..4f3b1449 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -2214,73 +2246,73 @@
       this.remove_file_dlg_event_listeners();
     },
     listen_file_dlg_events: function() {
-      pgAdmin.Browser.Events.on('pgadmin-storage:finish_btn:'+this.field.get('dialog_type'), this.storage_dlg_hander, this);
-      pgAdmin.Browser.Events.on('pgadmin-storage:cancel_btn:'+this.field.get('dialog_type'), this.storage_close_dlg_hander, this);
+      pgAdmin.Browser.Events.on('pgadmin-storage:finish_btn:' + this.field.get('dialog_type'), this.storage_dlg_hander, this);
+      pgAdmin.Browser.Events.on('pgadmin-storage:cancel_btn:' + this.field.get('dialog_type'), this.storage_close_dlg_hander, this);
     },
     remove_file_dlg_event_listeners: function() {
-      pgAdmin.Browser.Events.off('pgadmin-storage:finish_btn:'+this.field.get('dialog_type'), this.storage_dlg_hander, this);
-      pgAdmin.Browser.Events.off('pgadmin-storage:cancel_btn:'+this.field.get('dialog_type'), this.storage_close_dlg_hander, this);
+      pgAdmin.Browser.Events.off('pgadmin-storage:finish_btn:' + this.field.get('dialog_type'), this.storage_dlg_hander, this);
+      pgAdmin.Browser.Events.off('pgadmin-storage:cancel_btn:' + this.field.get('dialog_type'), this.storage_close_dlg_hander, this);
     },
     clearInvalid: function() {
       Backform.InputControl.prototype.clearInvalid.apply(this, arguments);
-      this.$el.removeClass("pgadmin-file-has-error");
+      this.$el.removeClass('pgadmin-file-has-error');
       return this;
     },
     updateInvalid: function() {
       Backform.InputControl.prototype.updateInvalid.apply(this, arguments);
       // Introduce a new class to fix the error icon placement on the control
-      this.$el.addClass("pgadmin-file-has-error");
-    }
+      this.$el.addClass('pgadmin-file-has-error');
+    },
   });
 
-  var DatetimepickerControl = Backform.DatetimepickerControl =
-      Backform.InputControl.extend({
-    defaults: {
-      type: "text",
-      label: "",
-      options: {
-        format: "YYYY-MM-DD HH:mm:ss Z",
-        showClear: true,
-        showTodayButton: true,
-        toolbarPlacement: 'top',
-        widgetPositioning: {
-          horizontal: 'auto',
-          vertical: 'bottom'
+  Backform.DatetimepickerControl =
+    Backform.InputControl.extend({
+      defaults: {
+        type: 'text',
+        label: '',
+        options: {
+          format: 'YYYY-MM-DD HH:mm:ss Z',
+          showClear: true,
+          showTodayButton: true,
+          toolbarPlacement: 'top',
+          widgetPositioning: {
+            horizontal: 'auto',
+            vertical: 'bottom',
+          },
         },
+        placeholder: 'YYYY-MM-DD HH:mm:ss Z',
+        extraClasses: [],
+        helpMessage: null,
       },
-      placeholder: "YYYY-MM-DD HH:mm:ss Z",
-      extraClasses: [],
-      helpMessage: null
-    },
-    events: {
-      "blur input": "onChange",
-      "change input": "onChange",
-      "changeDate input": "onChange",
-      "focus input": "clearInvalid",
-      'db.change': "onChange",
-      'click': 'openPicker'
-    },
-    openPicker: function() {
-      if (this.has_datepicker) {
-        this.$el.find("input").datetimepicker('show');
-      }
-    },
-    template: _.template([
-      '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
-      '<div class="input-group  <%=Backform.controlsClassName%>">',
-      ' <input type="text" class="<%=Backform.controlClassName%> <%=extraClasses.join(\' \')%>" name="<%=name%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
-      ' <span class="input-group-addon">',
-      '  <span class="fa fa-calendar"></span>',
-      ' </span>',
-      '</div>',
-      '<% if (helpMessage && helpMessage.length) { %>',
-      ' <div class="<%=Backform.controlsClassName%>">',
-      '   <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
-      ' </div>',
-      '<% } %>'
-    ].join("\n")),
-    render: function() {
-      var field = _.defaults(this.field.toJSON(), this.defaults),
+      events: {
+        'blur input': 'onChange',
+        'change input': 'onChange',
+        'changeDate input': 'onChange',
+        'focus input': 'clearInvalid',
+        'db.change': 'onChange',
+        'click': 'openPicker',
+      },
+      openPicker: function() {
+        if (this.has_datepicker) {
+          this.$el.find('input').datetimepicker('show');
+        }
+      },
+      template: _.template([
+        '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
+        '<div class="input-group  <%=Backform.controlsClassName%>">',
+        ' <input type="text" class="<%=Backform.controlClassName%> <%=extraClasses.join(\' \')%>" name="<%=name%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
+        ' <span class="input-group-addon">',
+        '  <span class="fa fa-calendar"></span>',
+        ' </span>',
+        '</div>',
+        '<% if (helpMessage && helpMessage.length) { %>',
+        ' <div class="<%=Backform.controlsClassName%>">',
+        '   <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
+        ' </div>',
+        '<% } %>',
+      ].join('\n')),
+      render: function() {
+        var field = _.defaults(this.field.toJSON(), this.defaults),
           attributes = this.model.toJSON(),
           attrArr = field.name.split('.'),
           name = attrArr.shift(),
@@ -2290,106 +2322,110 @@
             rawValue: rawValue,
             value: this.formatter.fromRaw(rawValue, this.model),
             attributes: attributes,
-            formatter: this.formatter
+            formatter: this.formatter,
           }),
           evalF = function(f, m) {
             return (_.isFunction(f) ? !!f(m) : !!f);
           };
 
-      // Evaluate the disabled, visible, and required option
-      _.extend(data, {
-        disabled: evalF(data.disabled, this.model),
-        visible:  evalF(data.visible, this.model),
-        required: evalF(data.required, this.model)
-      });
-      if (!data.disabled) {
-        data.placeholder = data.placeholder || this.defaults.placeholder;
-      }
+        // Evaluate the disabled, visible, and required option
+        _.extend(data, {
+          disabled: evalF(data.disabled, this.model),
+          visible: evalF(data.visible, this.model),
+          required: evalF(data.required, this.model),
+        });
+        if (!data.disabled) {
+          data.placeholder = data.placeholder || this.defaults.placeholder;
+        }
 
-      // Clean up first
-      if (this.has_datepicker)
-        this.$el.find("input").datetimepicker('destroy');
-      this.$el.empty();
-      this.$el.removeClass(Backform.hiddenClassName);
+        // Clean up first
+        if (this.has_datepicker)
+          this.$el.find('input').datetimepicker('destroy');
+        this.$el.empty();
+        this.$el.removeClass(Backform.hiddenClassName);
 
 
-      this.$el.html(this.template(data)).addClass(field.name);
+        this.$el.html(this.template(data)).addClass(field.name);
 
-      if (!data.visible) {
-        this.has_datepicker = false;
-        this.$el.addClass(Backform.hiddenClassName);
-      } else {
-        this.has_datepicker = true;
-        var self = this;
-        this.$el.find("input").first().datetimepicker(
-          _.extend({
-            keyBinds: {
-              enter: function(widget) {
-                var picker = this;
-                if (widget) {
-                  setTimeout(function() {
-                    picker.toggle();
-                    self.$el.find('input').first().blur();
-                  }, 10);
-                } else {
-                  setTimeout(function() { picker.toggle(); }, 10);
-                }
-              },
-              tab: function(widget) {
-                if (!widget) {
-                  // blur the input
-                  setTimeout(
-                    function() { self.$el.find('input').first().blur(); }, 10
-                  );
-                }
-              },
-              escape: function(widget) {
-                if (widget) {
+        if (!data.visible) {
+          this.has_datepicker = false;
+          this.$el.addClass(Backform.hiddenClassName);
+        } else {
+          this.has_datepicker = true;
+          var self = this;
+          this.$el.find('input').first().datetimepicker(
+            _.extend({
+              keyBinds: {
+                enter: function(widget) {
                   var picker = this;
-                  setTimeout(function() {
-                    picker.toggle();
-                    self.$el.find('input').first().blur();
-                  }, 10);
-                }
-              }
-            }
-          }, this.defaults.options, this.field.get("options"),
-          {'date': data.value})
-        );
-      }
-      this.updateInvalid();
-
-      return this;
-    },
-    clearInvalid: function() {
-      Backform.InputControl.prototype.clearInvalid.apply(this, arguments);
-      this.$el.removeClass("pgadmin-datepicker-has-error");
-      return this;
-    },
-    updateInvalid: function() {
-      Backform.InputControl.prototype.updateInvalid.apply(this, arguments);
-      // Introduce a new class to fix the error icon placement on the control
-      this.$el.addClass("pgadmin-datepicker-has-error");
-    },
-    cleanup: function() {
-      if (this.has_datepicker)
-        this.$el.find("input").datetimepicker('destroy');
-      this.$el.empty();
-    }
-  });
+                  if (widget) {
+                    setTimeout(function() {
+                      picker.toggle();
+                      self.$el.find('input').first().blur();
+                    }, 10);
+                  } else {
+                    setTimeout(function() {
+                      picker.toggle();
+                    }, 10);
+                  }
+                },
+                tab: function(widget) {
+                  if (!widget) {
+                    // blur the input
+                    setTimeout(
+                      function() {
+                        self.$el.find('input').first().blur();
+                      }, 10
+                    );
+                  }
+                },
+                escape: function(widget) {
+                  if (widget) {
+                    var picker = this;
+                    setTimeout(function() {
+                      picker.toggle();
+                      self.$el.find('input').first().blur();
+                    }, 10);
+                  }
+                },
+              },
+            }, this.defaults.options, this.field.get('options'), {
+              'date': data.value,
+            })
+          );
+        }
+        this.updateInvalid();
 
+        return this;
+      },
+      clearInvalid: function() {
+        Backform.InputControl.prototype.clearInvalid.apply(this, arguments);
+        this.$el.removeClass('pgadmin-datepicker-has-error');
+        return this;
+      },
+      updateInvalid: function() {
+        Backform.InputControl.prototype.updateInvalid.apply(this, arguments);
+        // Introduce a new class to fix the error icon placement on the control
+        this.$el.addClass('pgadmin-datepicker-has-error');
+      },
+      cleanup: function() {
+        if (this.has_datepicker)
+          this.$el.find('input').datetimepicker('destroy');
+        this.$el.empty();
+      },
+    });
 
   // Color Picker control
-  var ColorControl = Backform.ColorControl = Backform.InputControl.extend({
+  Backform.ColorControl = Backform.InputControl.extend({
     defaults: {
-      label: "",
+      label: '',
       extraClasses: [],
       helpMessage: null,
       showButtons: false,
       showPalette: true,
       allowEmpty: true,
-      colorFormat: "hex",
-      defaultColor: ""
+      colorFormat: 'hex',
+      defaultColor: '',
     },
     template: _.template([
       '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
@@ -2398,35 +2434,35 @@
       '  <% if (helpMessage && helpMessage.length) { %>',
       '    <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
       '  <% } %>',
-      '</div>'
-    ].join("\n")),
+      '</div>',
+    ].join('\n')),
     render: function() {
       // Clear first
-      if(this.$picker && this.$picker.hasOwnProperty('destroy')) {
+      if (this.$picker && this.$picker.hasOwnProperty('destroy')) {
         this.$picker('destroy');
       }
 
       var field = _.defaults(this.field.toJSON(), this.defaults),
-          attributes = this.model.toJSON(),
-          attrArr = field.name.split('.'),
-          name = attrArr.shift(),
-          path = attrArr.join('.'),
-          rawValue = this.keyPathAccessor(attributes[name], path),
-          data = _.extend(field, {
-            rawValue: rawValue,
-            value: this.formatter.fromRaw(rawValue, this.model),
-            attributes: attributes,
-            formatter: this.formatter
-          }),
-          evalF = function(f, d, m) {
-            return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
-          };
+        attributes = this.model.toJSON(),
+        attrArr = field.name.split('.'),
+        name = attrArr.shift(),
+        path = attrArr.join('.'),
+        rawValue = this.keyPathAccessor(attributes[name], path),
+        data = _.extend(field, {
+          rawValue: rawValue,
+          value: this.formatter.fromRaw(rawValue, this.model),
+          attributes: attributes,
+          formatter: this.formatter,
+        }),
+        evalF = function(f, d, m) {
+          return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
+        };
 
       // Evaluate the disabled, visible, and required option
       _.extend(data, {
         disabled: evalF(data.disabled, data, this.model),
-        visible:  evalF(data.visible, data, this.model),
-        required: evalF(data.required, data, this.model)
+        visible: evalF(data.visible, data, this.model),
+        required: evalF(data.required, data, this.model),
       });
 
       // Clean up first
@@ -2438,11 +2474,11 @@
       this.$el.html(this.template(data)).addClass(field.name);
 
       // Creating default Color picker
-      this.$picker = this.$el.find("input").spectrum({
+      this.$picker = this.$el.find('input').spectrum({
         allowEmpty: data.allowEmpty,
         preferredFormat: data.colorFormat,
         disabled: data.disabled,
-        hideAfterPaletteSelect:true,
+        hideAfterPaletteSelect: true,
         clickoutFiresChange: true,
         showButtons: data.showButtons,
         showPaletteOnly: data.showPalette,
@@ -2452,21 +2488,21 @@
         color: data.value || data.defaultColor,
         // Predefined palette colors
         palette: [
-            ["#000","#444","#666","#999","#ccc","#eee","#f3f3f3","#fff"],
-            ["#f00","#f90","#ff0","#0f0","#0ff","#00f","#90f","#f0f"],
-            ["#f4cccc","#fce5cd","#fff2cc","#d9ead3","#d0e0e3","#cfe2f3","#d9d2e9","#ead1dc"],
-            ["#ea9999","#f9cb9c","#ffe599","#b6d7a8","#a2c4c9","#9fc5e8","#b4a7d6","#d5a6bd"],
-            ["#e06666","#f6b26b","#ffd966","#93c47d","#76a5af","#6fa8dc","#8e7cc3","#c27ba0"],
-            ["#c00","#e69138","#f1c232","#6aa84f","#45818e","#3d85c6","#674ea7","#a64d79"],
-            ["#900","#b45f06","#bf9000","#38761d","#134f5c","#0b5394","#351c75","#741b47"],
-            ["#600","#783f04","#7f6000","#274e13","#0c343d","#073763","#20124d","#4c1130"]
-        ]
+          ['#000', '#444', '#666', '#999', '#ccc', '#eee', '#f3f3f3', '#fff'],
+          ['#f00', '#f90', '#ff0', '#0f0', '#0ff', '#00f', '#90f', '#f0f'],
+          ['#f4cccc', '#fce5cd', '#fff2cc', '#d9ead3', '#d0e0e3', '#cfe2f3', '#d9d2e9', '#ead1dc'],
+          ['#ea9999', '#f9cb9c', '#ffe599', '#b6d7a8', '#a2c4c9', '#9fc5e8', '#b4a7d6', '#d5a6bd'],
+          ['#e06666', '#f6b26b', '#ffd966', '#93c47d', '#76a5af', '#6fa8dc', '#8e7cc3', '#c27ba0'],
+          ['#c00', '#e69138', '#f1c232', '#6aa84f', '#45818e', '#3d85c6', '#674ea7', '#a64d79'],
+          ['#900', '#b45f06', '#bf9000', '#38761d', '#134f5c', '#0b5394', '#351c75', '#741b47'],
+          ['#600', '#783f04', '#7f6000', '#274e13', '#0c343d', '#073763', '#20124d', '#4c1130'],
+        ],
 
       });
       this.updateInvalid();
       return this;
-    }
+    },
   });
 
   return Backform;
-}));
+});
